//
// Created by sebastian on 06.08.26.
//

#ifndef COLORRACE_MESH_H
#define COLORRACE_MESH_H


namespace engine {
    class Mesh {
    public:
        virtual ~Mesh() = default;
        virtual void bind() const = 0;
        virtual void unbind() const = 0;
        virtual void draw() const = 0;
    };

}

#endif //COLORRACE_MESH_H
